gnutls_x509_crt_set_issuer_dn(3)

NAME
gnutls_x509_crt_set_issuer_dn - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_issuer_dn(gnutls_x509_crt_t crt, const char * dn, const char ** err);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

const char * dn
    a comma separated DN string (RFC4514)

const char ** err
    indicates the error position (if any)

DESCRIPTION
This function will set the DN on the provided certificate. The input string should be plain ASCII or UTF-8 encoded.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/